summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-06-23 23:51:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-06-23 23:52:40 +0700
commitd8311f48106e47ce6b8ca32c7c699ca360f61b27 (patch)
tree3ca201501bf976f36d780ffc4a747c3d4a65e31b /development
parenta73a20284759165580e87e68caa1c0d2029986a8 (diff)
downloadslackbuilds-d8311f48106e47ce6b8ca32c7c699ca360f61b27.tar.gz
slackbuilds-d8311f48106e47ce6b8ca32c7c699ca360f61b27.tar.xz
development/asem51: Added (Macro Assembler).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/asem51/README11
-rw-r--r--development/asem51/asem51.SlackBuild109
-rw-r--r--development/asem51/asem51.info10
-rw-r--r--development/asem51/doinst.sh9
-rw-r--r--development/asem51/slack-desc19
5 files changed, 158 insertions, 0 deletions
diff --git a/development/asem51/README b/development/asem51/README
new file mode 100644
index 0000000000..1e62cc69d6
--- /dev/null
+++ b/development/asem51/README
@@ -0,0 +1,11 @@
+ASEM-51 is a two-pass macro assembler for the Intel MCS-51
+family of microcontrollers. It is running on the PC under MS-DOS,
+Windows and Linux. The ASEM-51 assembly language is a rich subset
+of the Intel standard that guarantees maximum compatibility with
+existing 8051 assembler sources. ASEM-51 can generate two sorts of
+object files: Intel-HEX format, which is directly accepted by most
+EPROM programmers, and absolute OMF-51 format, which is required
+for many simulators, emulators and target debuggers. Thus ASEM-51
+is suitable for small and medium MCS-51-based microcontroller
+projects in hobby, education and business. However, ASEM-51 has been
+designed to process also very large programs!
diff --git a/development/asem51/asem51.SlackBuild b/development/asem51/asem51.SlackBuild
new file mode 100644
index 0000000000..de8bb7b0b1
--- /dev/null
+++ b/development/asem51/asem51.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for asem51
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=asem51
+VERSION=${VERSION:-1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-ELF.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/share
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/include/asem51
+mkdir -p $PKG/etc/profile.d
+
+cp asem $PKG/usr/bin/asem
+cp boot $PKG/usr/bin/boot
+cp customiz $PKG/usr/bin/customiz
+cp hexbin $PKG/usr/bin/hexbin
+cp reset51 $PKG/usr/bin/reset51
+cp upload $PKG/usr/bin/upload
+cp upload.new $PKG/usr/bin/upload.new
+
+mv html $PKG/usr/doc/$PRGNAM-$VERSION/html
+mv mcu $PKG/usr/include/asem51
+chown -R root:root $PKG/usr/include/asem51
+
+cat <<EOF > $PKG/etc/profile.d/asem51.sh
+ASEM51INC=/usr/include/asem51/mcu
+export ASEM51INC
+EOF
+
+cat <<EOF > $PKG/etc/profile.d/asem51.csh
+setenv ASEM51INC /usr/include/asem51/mcu
+EOF
+
+chmod +x $PKG/etc/profile.d/asem51.*
+
+cp -a README.1ST $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/asem51/asem51.info b/development/asem51/asem51.info
new file mode 100644
index 0000000000..fe5b060f8f
--- /dev/null
+++ b/development/asem51/asem51.info
@@ -0,0 +1,10 @@
+PRGNAM="asem51"
+VERSION="1.3"
+HOMEPAGE="http://plit.de/asem-51/final13.htm"
+DOWNLOAD="http://plit.de/asem-51/asem51-1.3-ELF.tar.gz"
+MD5SUM="895fd5e6617f8b21b9f56484f9258c94"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/development/asem51/doinst.sh b/development/asem51/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/asem51/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/asem51/slack-desc b/development/asem51/slack-desc
new file mode 100644
index 0000000000..736e9c7e27
--- /dev/null
+++ b/development/asem51/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+asem51: asem51 (A two-pass macro assembler for the Intel MCS-51 Family)
+asem51:
+asem51: ASEM51 is a two-pass macro assembler for the Intel MCS-51 family of
+asem51: microcontrollers.
+asem51:
+asem51:
+asem51:
+asem51:
+asem51:
+asem51:
+asem51: